Support » Plugin: WordPress Gallery Plugin - NextGEN Gallery » WP 4.1 open_basedir .mo files

  • Hi,

    I update wordpress from 4.0 to 4.1 and NextGenGallery from V2.0.66.33 to V2.0.66.37.

    Since these update I got these error when I update/preview a page or post :

    015/01/16 15:38:26 [error] 30461#0: *11581 FastCGI sent in stderr: “PHP message: PHP Warning: is_dir(): open_basedir restriction in effect. File(akismet-fr_FR.mo) is not within the allowed path(s): (/tmp:/var/www) in /var/www/wp-includes/l10n.php on line 806
    PHP message: PHP Warning: is_dir(): open_basedir restriction in effect. File(akismet-fr_FR.po) is not within the allowed path(s): (/tmp:/var/www) in /var/www/wp-includes/l10n.php on line 806
    PHP message: PHP Warning: is_dir(): open_basedir restriction in effect. File(twentyeleven-fr_FR.mo) is not within the allowed path(s): (/tmp:/var/www) in /var/www/wp-includes/l10n.php on line 806
    PHP message: PHP Warning: is_dir(): open_basedir restriction in effect. File(twentyeleven-fr_FR.po) is not within the allowed path(s): (/tmp:/var/www) in /var/www/wp-includes/l10n.php on line 806
    PHP message: PHP Warning: is_dir(): open_basedir restriction in effect. File(twentyfifteen-fr_FR.mo) is not within the allowed path(s): (/tmp:/var/www) in /var/www/wp-includes/l10n.php on line 806
    PHP message: PHP Warning: is_dir(): open_basedir restriction in effect. File(twentyfifteen-fr_FR.po) is not within the allowed path(s): (/tmp:/var/www) in /var/www/wp-includes/l10n.php on line 806
    PHP message: PHP Warning: is_dir(): open_basedir restriction in effect. File(twentyfourteen-fr_FR.mo) is not within the allowed path(s): (/tmp:/var/www) in /var/www/wp-includes/l10n.php on line 806
    PHP message: PHP Warning: is_dir(): open_basedir restriction in effect. File(twentyfourteen-fr_FR.po) is not within the allowed path(s): (/tmp:/var/www) in /var/www/wp-includes/l10n.php on line 806
    PHP message: PHP Warning: is_dir(): open_basedir restriction in effect. File(twentyten-fr_FR.mo) is not within the allowed path(s): (/tmp:/var/www) in /var/www/wp-includes/l10n.php on line

    After several test, it tries to find file in “/” these errors appear on 2 differents website and only when NextGEN Gallery is activated

    https://wordpress.org/plugins/nextgen-gallery/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author photocrati

    (@photocrati)

    @inglebard – Warnings (“open_basedir restriction in effect”) to this effect may be able to be sorted out by your web hosting service but if it is an issue with the directory separator we have added more code dealing specifically with that (for a specific hosting service) that may also help sort this out. The corrections should be in our next release.

    – Cais.

    Hi Cais,

    Here is my test :
    in wp-includes/l10.php line 803 :

    $language_data = array();
    error_log(getcwd());
    foreach ( $files as $file ) {

    Here is the result (I skipped open_basedir warning and some useless info) :

    2015/01/16 18:00:13 [error] 30833#0: *13171 FastCGI sent in stderr: “PHP message: /var/www/wp-admin
    PHP message: /var/www/wp-admin
    PHP message: /var/www/wp-admin
    PHP message: /var/www/wp-admin
    2015/01/16 18:00:20 [error] 30833#0: *13171 FastCGI sent in stderr: “PHP message: /var/www/wp-admin
    2015/01/16 18:00:20 [error] 30833#0: *13171 FastCGI sent in stderr: “PHP message: / /* problem is here*/
    /*open_basedir errors*/
    2015/01/16 18:00:21 [error] 30833#0: *13171 FastCGI sent in stderr: “PHP message: /var/www/wp-admin

    It’s seems php is bad positionned like if chdir was set.

    Plugin Author photocrati

    (@photocrati)

    @inglebard – Have you tried our latest public beta here: http://nextgen-gallery.com/nextgen-gallery-latest-beta/ … it might help to sort this out.

    Thanks!

    – Cais.

    Hi,
    I forgot to mention, this worpdress is host on dedicate server.
    I specify these open_basedir rules.

    I can try this beta but it wouldn’t solve my issue because I’m not gonna put beta plugins on online/production server.

    Plugin Author photocrati

    (@photocrati)

    @inglebard – The beta version is essentially the next stable release of the plugin. You are welcome to wait until it is formally released onto the WordPress repository before using it.

    – Cais.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘WP 4.1 open_basedir .mo files’ is closed to new replies.